| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
KeyedContainer< DATATYPE, MAPPING >::_RemoveRelease Struct Reference

Internal functor for insertion of objects. More...

Collaboration diagram for KeyedContainer< DATATYPE, MAPPING >::_RemoveRelease:
[legend]

## Public Member Functions
| _RemoveRelease (ObjectContainerBase *p)
void | operator() (value_type p)

## Public Attributes
ObjectContainerBase * | m_obj

## Detailed Description

### template<class DATATYPE, class MAPPING = Containers::HashMap>
struct KeyedContainer< DATATYPE, MAPPING >::_RemoveRelease

Internal functor for insertion of objects.

Definition at line 161 of file KeyedContainer.h.

## Constructor & Destructor Documentation

template<class DATATYPE, class MAPPING = Containers::HashMap>

KeyedContainer< DATATYPE, MAPPING >::_RemoveRelease::_RemoveRelease | ( | ObjectContainerBase * | p | ) |
| inline

Definition at line 163 of file KeyedContainer.h.

163 : m_obj(p) {}
KeyedContainer::_RemoveRelease::m_obj
ObjectContainerBase * m_obj
Definition: KeyedContainer.h:162

## Member Function Documentation

template<class DATATYPE, class MAPPING = Containers::HashMap>

void KeyedContainer< DATATYPE, MAPPING >::_RemoveRelease::operator() | ( | value_type | p | ) |
| inline

Definition at line 164 of file KeyedContainer.h.

164 {
165 const ObjectContainerBase* par = p->parent();
166 if ( par == m_obj ) {
167 p->setParent(0);
168 }
169 traits::release(p);
170 }
KeyedContainer::_RemoveRelease::m_obj
ObjectContainerBase * m_obj
Definition: KeyedContainer.h:162
compareOutputFiles.par
string par
Definition: compareOutputFiles.py:386
Containers::key_traits< DATATYPE::key_type >::release
static long release(obj_type *v)
Release reference to object.
Definition: KeyedTraits.h:94
ObjectContainerBase
ObjectContainerBase is the base class for Gaudi container classes.
Definition: ObjectContainerBase.h:19

## Member Data Documentation

template<class DATATYPE, class MAPPING = Containers::HashMap>

ObjectContainerBase* KeyedContainer< DATATYPE, MAPPING >::_RemoveRelease::m_obj

Definition at line 162 of file KeyedContainer.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/KeyedContainer.h